/** 能源 15 分钟数据 */
create table energy_15_min
(
    building   varchar(128)    comment '大楼id',
    func_id    varchar(128)    comment '仪表功能号',
    meter      varchar(128)    comment '仪表号',
    data_time  datetime        comment '数据采集时间',
    data_value decimal(30, 15) comment '采集值',
    dt         varchar(64)     comment '采集日期'
) comment '能源 15 分钟差值数据';

/** 能源 5 分钟数据 */
create table energy_5_min
(
    building   varchar(128)    comment '大楼id',
    func_id    varchar(128)    comment '仪表功能号',
    meter      varchar(128)    comment '仪表号',
    data_time  datetime        comment '数据采集时间',
    data_value decimal(30, 15) comment '采集值',
    dt         varchar(64)     comment '采集日期'
) comment '能源 5 分钟差值数据';

/** 能源 15 分钟数据-fjd */
create table energy_15_min_fjd
(
    building   varchar(128)    comment '大楼id',
    func_id    varchar(128)    comment '仪表功能号',
    meter      varchar(128)    comment '仪表号',
    data_time  datetime        comment '数据采集时间',
    data_value decimal(30, 15) comment '采集值',
    dt         varchar(64)     comment '采集日期'
) comment '能源 15 分钟 fjd 数据';

/** 能源 5 分钟数据-fjd */
create table energy_5_min_fjd
(
    building   varchar(128)    comment '大楼id',
    func_id    varchar(128)    comment '仪表功能号',
    meter      varchar(128)    comment '仪表号',
    data_time  datetime        comment '数据采集时间',
    data_value decimal(30, 15) comment '采集值',
    dt         varchar(64)     comment '采集日期'
) comment '能源 5 分钟 fjd 数据';


create table app_energy_15_min
(
    building         varchar(128)   ,
    func_id          varchar(128)   ,
    parent_code      varchar(128)   ,
    branch_type      varchar(128)   ,
    branch_type_name varchar(128)   ,
    use_range_type   varchar(128)   ,
    value_sum        decimal(30, 15),
    current_hour     varchar(128)    comment '小时',
    current_year     int             comment '年份',
    year_mouth       varchar(128)    comment '年份-月份',
    week_of_year     int             comment '这一年的第几周',
    dt               datetime
);


create table co2_15_min
(
    building   varchar(128)     comment '大楼id',
    func_id    varchar(128)     comment '仪表功能号',
    meter      varchar(128)     comment '仪表号',
    data_time  datetime         comment '数据采集时间',
    data_value decimal(30, 15)  comment '采集值',
    dt         varchar(64)      comment '采集日期'
)
    comment 'CO2 15 分钟数据';

create table pm25_15_min
(
    building   varchar(128)     comment '大楼id',
    func_id    varchar(128)     comment '仪表功能号',
    meter      varchar(128)     comment '仪表号',
    data_time  datetime         comment '数据采集时间',
    data_value decimal(30, 15)  comment '采集值',
    dt         varchar(64)      comment '采集日期'
)
    comment 'pm2.5 15 分钟数据';

create table temperature_15_min
(
    building   varchar(128)     comment '大楼id',
    func_id    varchar(128)     comment '仪表功能号',
    meter      varchar(128)     comment '仪表号',
    data_time  datetime         comment '数据采集时间',
    data_value decimal(30, 15)  comment '采集值',
    dt         varchar(64)      comment '采集日期'
)
    comment '温度 15 分钟数据';

create table hcho_15_min
(
    building   varchar(128)     comment '大楼id',
    func_id    varchar(128)     comment '仪表功能号',
    meter      varchar(128)     comment '仪表号',
    data_time  datetime         comment '数据采集时间',
    data_value decimal(30, 15)  comment '采集值',
    dt         varchar(64)      comment '采集日期'
)
    comment '甲醛 15 分钟数据';

create table humidity_15_min
(
    building   varchar(128)     comment '大楼id',
    func_id    varchar(128)     comment '仪表功能号',
    meter      varchar(128)     comment '仪表号',
    data_time  datetime         comment '数据采集时间',
    data_value decimal(30, 15)  comment '采集值',
    dt         varchar(64)      comment '采集日期'
)
    comment '湿度 15 分钟数据';