/** 能源差值数据 15min 历史数据 */
create table ods_energy_15_min_history
(
    building   string   comment '大楼id',
    func_id    string   comment '仪表功能号',
    meter      string   comment '仪表号',
    data_time  string   comment '数据采集时间',
    data_value decimal(30, 15)  comment '采集值',
    `dt` string  comment '采集日期'
) COMMENT '能源原始数据 15min 历史数据'
ROW FORMAT DELIMITED FIELDS TERMINATED BY '\001'
STORED AS TEXTFILE
LOCATION
    'hdfs://sagaCluster:8020/warehouse/saga_dw/ods/ods_energy_15_min_history'
TBLPROPERTIES (
    'orc.compress'='lzo');

/** 能源差值数据 5min 历史数据 */
create table ods_energy_5_min_history
(
    building   string  comment '大楼id',
    func_id    string  comment '仪表功能号',
    meter      string  comment '仪表号',
    data_time  string  comment '数据采集时间',
    data_value decimal(30, 15)  comment '采集值',
    `dt` string  comment '采集日期'
) COMMENT '能源原始数据 5min 历史数据'
ROW FORMAT DELIMITED FIELDS TERMINATED BY '\001'
STORED AS TEXTFILE
LOCATION
    'hdfs://sagaCluster:8020/warehouse/saga_dw/ods/ods_energy_5_min_history'
TBLPROPERTIES (
    'orc.compress'='lzo');

/** 能源 fjd 数据 15min 历史数据 */
create table ods_energy_15_min_fjd_history
(
    building   string  comment '大楼id',
    func_id    string  comment '仪表功能号',
    meter      string  comment '仪表号',
    data_time  string  comment '数据采集时间',
    data_value decimal(30, 15)  comment '采集值',
    `dt` string  comment '采集日期'
) COMMENT '能源 fjd 数据 15min 历史数据'
ROW FORMAT DELIMITED FIELDS TERMINATED BY '\001'
STORED AS TEXTFILE
LOCATION
    'hdfs://sagaCluster:8020/warehouse/saga_dw/ods/ods_energy_15_min_fjd_history'
TBLPROPERTIES (
    'orc.compress'='lzo');

/** 能源 fjd 数据 5min 历史数据 */
create table ods_energy_5_min_fjd_history
(
    building   string  comment '大楼id',
    func_id    string  comment '仪表功能号',
    meter      string  comment '仪表号',
    data_time  string  comment '数据采集时间',
    data_value decimal(30, 15)  comment '采集值',
    `dt` string  comment '采集日期'
) COMMENT '能源 fjd 数据 5min 历史数据'
ROW FORMAT DELIMITED FIELDS TERMINATED BY '\001'
STORED AS TEXTFILE
LOCATION
    'hdfs://sagaCluster:8020/warehouse/saga_dw/ods/ods_energy_5_min_fjd_history'
TBLPROPERTIES (
    'orc.compress'='lzo');




